RDKit: RDKit::MolStandardize::Pipeline Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::MolStandardize::Pipeline Class Reference

`#include <Pipeline.h>`

## Public Member Functions
| Pipeline ()=default
| Pipeline (const PipelineOptions &o)
| ~Pipeline ()=default
PipelineResult | run (const std::string &molblock) const
void | setValidationSteps (const Operations::PipelineVector &steps)
void | setStandardizationSteps (const Operations::PipelineVector &steps)
void | setMakeParent (Operations::ParentOperation op)
void | setParse (Operations::ParseOperation op)
void | setSerialize (Operations::SerializeOperation op)

## Detailed Description

Definition at line 201 of file Pipeline.h.

## Constructor & Destructor Documentation

## ◆ Pipeline() [1/2]

RDKit::MolStandardize::Pipeline::Pipeline | ( |  | ) |
| default

## ◆ Pipeline() [2/2]

RDKit::MolStandardize::Pipeline::Pipeline | ( | const PipelineOptions & | o | ) |
| inlineexplicit

Definition at line 213 of file Pipeline.h.

## ◆ ~Pipeline()

RDKit::MolStandardize::Pipeline::~Pipeline | ( |  | ) |
| default

## Member Function Documentation

## ◆ run()

PipelineResult RDKit::MolStandardize::Pipeline::run | ( | const std::string & | molblock | ) | const

## ◆ setMakeParent()

void RDKit::MolStandardize::Pipeline::setMakeParent | ( | Operations::ParentOperation | op | ) |
| inline

Definition at line 224 of file Pipeline.h.

## ◆ setParse()

void RDKit::MolStandardize::Pipeline::setParse | ( | Operations::ParseOperation | op | ) |
| inline

Definition at line 225 of file Pipeline.h.

## ◆ setSerialize()

void RDKit::MolStandardize::Pipeline::setSerialize | ( | Operations::SerializeOperation | op | ) |
| inline

Definition at line 226 of file Pipeline.h.

## ◆ setStandardizationSteps()

void RDKit::MolStandardize::Pipeline::setStandardizationSteps | ( | const Operations::PipelineVector & | steps | ) |
| inline

Definition at line 221 of file Pipeline.h.

## ◆ setValidationSteps()

void RDKit::MolStandardize::Pipeline::setValidationSteps | ( | const Operations::PipelineVector & | steps | ) |
| inline

Definition at line 218 of file Pipeline.h.

The documentation for this class was generated from the following file:

- Pipeline.h